> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/checkout-api/resources/order-confirmation-webhook/order-confirmation-sample-integrations.md).

# Order Confirmation Sample Integrations

Refer to the following sample integrations for a deeper understanding of the Order Confirmation webhook.

<details>

<summary><strong>Order Confirmation v2.0</strong></summary>

{% code title="order-confirmation-v2.json" expandable="true" %}

```json
{
  "retailerCartId": "11195033",
  "eShopWorldOrderNumber": "ff64f38e-4047-49ad-a558-edb11aec8011",
  "retailerCurrencyPaymentAmount": "EUR569.00",
  "shopperCurrencyPaymentAmount": "EUR569.00",
  "retailerFxGroupId": "1873",
  "paymentTime": "2019-06-06T16:05:57.5958763Z",
  "paymentMethod": "PaymentCard",
  "paymentMethodCardBrand": "VISA",
  "fraudHold": null,
  "retailerPromoCodes": [
    
  ],
  "cartItems": [
    {
      "quantity": 1,
      "product": {
        "productCode": "WE50160189060013",
        "upc": null,
        "hsCode": "62114900",
        "title": "GIOSTRA",
        "description": "Wool coat",
        "retailerCurrencyProductPriceInfo": {
          "beforeDiscount": "EUR569.00",
          "discountAmount": null,
          "price": "EUR569.00",
          "title": null,
          "description": null
        },
        "shopperCurrencyProductPriceInfo": {
          "beforeDiscount": "EUR569.00",
          "discountAmount": null,
          "price": "EUR569.00",
          "title": null,
          "description": null
        },
        "imageUrl": "https://d2tmn2t0w46kyp.cloudfront.net/sys-master/m0/WE/2018/2/WE5016018906/001/s3master/WE5016018906001-a-giostra_thumbnail.jpg",
        "color": "camel",
        "size": "40",
        "isNonStandardCatalogItem": false,
        "isReturnProhibited": null,
        "metadataItems": [
          
        ]
      },
      "estimatedDeliveryDate": null,
      "lineItemId": 0,
      "shopperCurrencyItemSubTotal": "EUR478.15",
      "shopperCurrencyItemUplift": "EUR0.00",
      "shopperCurrencyItemDelivery": "EUR0.00",
      "shopperCurrencyItemDeliveryDuty": "EUR0.00",
      "shopperCurrencyItemDeliveryTaxes": "EUR0.00",
      "shopperCurrencyItemTaxes": "EUR90.85",
      "shopperCurrencyItemOtherTaxes": "EUR0.00",
      "shopperCurrencyItemAdministration": "EUR0.00",
      "shopperCurrencyItemDuty": "EUR0.00",
      "retailerCurrencyItemSubTotal": "EUR478.15",
      "retailerCurrencyItemUplift": "EUR0.00",
      "retailerCurrencyItemDelivery": "EUR0.00",
      "retailerCurrencyItemDeliveryDuty": "EUR0.00",
      "retailerCurrencyItemDeliveryTaxes": "EUR0.00",
      "retailerCurrencyItemTaxes": "EUR90.85",
      "retailerCurrencyItemOtherTaxes": "EUR0.00",
      "retailerCurrencyItemAdministration": "EUR0.00",
      "retailerCurrencyItemDuty": "EUR0.00",
      "metadataItems": [
        
      ]
    }
  ],
  "cartDiscounts": [
    
  ],
  "deliveryCountryIso": "DE",
  "shopperCheckoutExperience": {
    "shopperCultureLanguageIso": "en-ie",
    "emailMarketingOptIn": null
  },
  "deliveryOption": {
    "deliveryOption": "POST",
    "retailerCurrencyDeliveryPriceInfo": {
      "beforeDiscount": null,
      "discountAmount": null,
      "price": "EUR0.00",
      "title": null,
      "description": null
    },
    "shopperCurrencyDeliveryPriceInfo": {
      "beforeDiscount": null,
      "discountAmount": null,
      "price": "EUR0.00",
      "title": null,
      "description": null
    },
    "metadataItems": [
      
    ]
  },
  "charges": {
    "shopperCurrencyTotal": "EUR478.15",
    "shopperCurrencyDelivery": "EUR0.00",
    "shopperCurrencyDeliveryDuty": "EUR0.00",
    "shopperCurrencyDeliveryTaxes": "EUR0.00",
    "shopperCurrencyTaxes": "EUR90.85",
    "shopperCurrencyOtherTaxes": "EUR0.00",
    "shopperCurrencyAdministration": "EUR0.00",
    "shopperCurrencyDuty": "EUR0.00",
    "shopperCurrencyUplift": "EUR0.00",
    "retailerCurrencyTotal": "EUR478.15",
    "retailerCurrencyDelivery": "EUR0.00",
    "retailerCurrencyDeliveryDuty": "EUR0.00",
    "retailerCurrencyDeliveryTaxes": "EUR0.00",
    "retailerCurrencyTaxes": "EUR90.85",
    "retailerCurrencyOtherTaxes": "EUR0.00",
    "retailerCurrencyAdministration": "EUR0.00",
    "retailerCurrencyDuty": "EUR0.00",
    "retailerCurrencyUplift": "EUR0.00"
  },
  "contactDetails": [
    {
      "contactDetailType": "IsDelivery",
      "contactDetailsNickName": "",
      "addressID": null,
      "firstName": "Jane",
      "lastName": "Doe",
      "gender": "None",
      "address1": "Mohrenstraße 30",
      "address2": "",
      "address3": null,
      "city": "Berlin",
      "poBox": null,
      "postalCode": "10117",
      "region": null,
      "country": "DE",
      "email": "janedoe@test.com",
      "telephone": "+4930202300",
      "metadataItems": [
        
      ]
    },
    {
      "contactDetailType": "IsPayment",
      "contactDetailsNickName": "",
      "addressID": null,
      "firstName": "Jane",
      "lastName": "Doe",
      "gender": "None",
      "address1": "Mohrenstraße 30",
      "address2": "",
      "address3": null,
      "city": "Berlin",
      "poBox": null,
      "postalCode": "10117",
      "region": null,
      "country": "DE",
      "email": "janedoe@test.com",
      "telephone": "+4930202300",
      "metadataItems": [
        
      ]
    }
  ]
}
```

{% endcode %}

</details>

<details>

<summary><strong>Order Confirmation v3.0</strong></summary>

{% code title="order-confirmation-v3.json" expandable="true" %}

```json
{
  "retailerCartId": "11195033",
  "eShopWorldOrderNumber": "d4b0dd68-f2f3-4dd3-99e7-c90ad36eaebb",
  "checkoutTotal": {
    "retailer": {
      "currency": "EUR",
      "amount": "250.00"
    },
    "shopper": {
      "currency": "EUR",
      "amount": "250.00"
    }​
  },
  "pricingSynchronizationId": null,
  "paymentDetails": {
    "time": "2021-04-22T10:36:54.5229354Z",
    "method": "PaymentCard",
    "methodCardBrand": "Visa",
    "fraudHold": null
  },
  "retailerPromoCodes": [
    {
      "promoCode": "PROMO1",
      "title": "Promo 1",
      "description": "Promo code #1"
    }
  ],
  "lineItems": [
    {
      "quantity": 1,
      "product": {
        "productCode": "WE50160189060013",
        "hsCode": "62114900",
        "title": "GIOSTRA",
        "description": "Wool coat",
        "productUnitPriceInfo": {
          "price": {
            "retailer": {
              "currency": "EUR",
              "amount": "200.00"
            },
            "shopper": {
              "currency": "EUR",
              "amount": "200.00"
            }​
          },
          "discounts": [
            {
              "title": "Discount title",
              "description": "Discount description",
              "discount": {
                "retailer": {
                  "currency": "EUR",
                  "amount": "50.00"
                },
                "shopper": {
                  "currency": "EUR",
                  "amount": "50.00"
                }​
              },
              "beforeDiscount": {
                "retailer": {
                  "currency": "EUR",
                  "amount": "250.00"
                },
                "shopper": {
                  "currency": "EUR",
                  "amount": "250.00"
                }​
              }
            }
          ]
        },
        "imageUrl": "https://d2tmn2t0w46kyp.cloudfront.net/sys-master/m0/WE/2018/2/WE5016018906/001/s3master/WE5016018906001-a-giostra_thumbnail.jpg",
        "color": "Camel",
        "size": "40",
        "isReturnProhibited": null,
        "metadataItems": [
          
        ]
      },
      "estimatedDeliveryDate": {
        "fromRetailer": null,
        "fromEShopWorld": null,
        "fromEShopWorldRangeFrom": "2021-04-26T00:00:00Z",
        "fromEShopWorldRangeTo": "2021-04-28T00:00:00Z"
      },
      "lineItemId": 1,
      "charges": {
        "subTotalBeforeTaxesAndCartDiscountsApplied": {
          "retailer": {
            "currency": "EUR",
            "amount": "200.00"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "200.00"
          }​
        },
        "subTotalAfterCartDiscount": {
          "retailer": {
            "currency": "EUR",
            "amount": "200.00"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "200.00"
          }​
        },
        "cartDiscountAttribution": {
          "retailer": {
            "currency": "EUR",
            "amount": "0.00"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "0.00"
          }​
        },
        "subTotal": {
          "retailer": {
            "currency": "EUR",
            "amount": "148.37"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "148.37"
          }​
        },
        "uplift": {
          "retailer": {
            "currency": "EUR",
            "amount": "0.00"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "0.00"
          }​
        },
        "delivery": {
          "retailer": {
            "currency": "EUR",
            "amount": "37.09"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "37.09"
          }​
        },
        "deliveryDuty": {
          "retailer": {
            "currency": "EUR",
            "amount": "4.45"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "4.45"
          }​
        },
        "deliveryTaxes": {
          "retailer": {
            "currency": "EUR",
            "amount": "8.46"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "8.46"
          }​
        },
        "taxes": {
          "retailer": {
            "currency": "EUR",
            "amount": "33.23"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "33.23"
          }​
        },
        "otherTaxes": {
          "retailer": {
            "currency": "EUR",
            "amount": "0.60"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "0.60"
          }​
        },
        "administration": {
          "retailer": {
            "currency": "EUR",
            "amount": "0.00"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "0.00"
          }​
        },
        "duty": {
          "retailer": {
            "currency": "EUR",
            "amount": "17.80"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "17.80"
          }​
        }
      },
      "metadataItems": [
        
      ]
    }
  ],
  "cartDiscountPriceInfo": {
    "price": {
      "retailer": {
        "currency": "EUR",
        "amount": "180.00"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "180.00"
      }​
    },
    "discounts": [
      {
        "title": "Discount title",
        "description": "Discount description",
        "discount": {
          "retailer": {
            "currency": "EUR",
            "amount": "20.00"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "20.00"
          }​
        },
        "beforeDiscount": {
          "retailer": {
            "currency": "EUR",
            "amount": "200.00"
          },
          "shopper": {
            "currency": "EUR",
            "amount": "200.00"
          }​
        }
      }
    ]
  },
  "deliveryCountryIso": "DE",
  "shopperCheckoutExperience": {
    "shopperCultureLanguageIso": "en-IE",
    "emailMarketingOptIn": true,
    "registeredProfileId": "PROF 0001"
  },
  "deliveryOption": {
    "deliveryOption": "EXP2",
    "deliveryOptionPriceInfo": {
      "price": {
        "retailer": {
          "currency": "EUR",
          "amount": "50.00"
        },
        "shopper": {
          "currency": "EUR",
          "amount": "50.00"
        }​
      },
      "discounts": [
        
      ]
    },
    "metadataItems": [
      
    ]
  },
  "charges": {
    "totalBeforeTaxesAndCartDiscountsApplied": {
      "retailer": {
        "currency": "EUR",
        "amount": "200.00"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "200.00"
      }​
    },
    "totalAfterCartDiscount": {
      "retailer": {
        "currency": "EUR",
        "amount": "200.00"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "200.00"
      }​
    },
    "totalCartDiscount": {
      "retailer": {
        "currency": "EUR",
        "amount": "0.00"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "0.00"
      }​
    },
    "total": {
      "retailer": {
        "currency": "EUR",
        "amount": "148.37"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "148.37"
      }​
    },
    "delivery": {
      "retailer": {
        "currency": "EUR",
        "amount": "37.09"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "37.09"
      }​
    },
    "deliveryDuty": {
      "retailer": {
        "currency": "EUR",
        "amount": "4.45"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "4.45"
      }​
    },
    "deliveryTaxes": {
      "retailer": {
        "currency": "EUR",
        "amount": "8.46"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "8.46"
      }​
    },
    "taxes": {
      "retailer": {
        "currency": "EUR",
        "amount": "33.23"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "33.23"
      }​
    },
    "otherTaxes": {
      "retailer": {
        "currency": "EUR",
        "amount": "0.60"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "0.60"
      }​
    },
    "administration": {
      "retailer": {
        "currency": "EUR",
        "amount": "0.00"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "0.00"
      }​
    },
    "duty": {
      "retailer": {
        "currency": "EUR",
        "amount": "17.80"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "17.80"
      }​
    },
    "uplift": {
      "retailer": {
        "currency": "EUR",
        "amount": "0.00"
      },
      "shopper": {
        "currency": "EUR",
        "amount": "0.00"
      }​
    }
  },
  "contactDetails": [
    {
      "contactDetailType": "IsDelivery",
      "contactDetailsNickName": "",
      "addressId": null,
      "firstName": "Jane",
      "lastName": "Doe",
      "gender": "None",
      "address1": "Mohrenstraße 30",
      "address2": "",
      "address3": null,
      "city": "Berlin",
      "poBox": null,
      "postalCode": "10117",
      "region": null,
      "country": "DE",
      "email": "janedoe@test.com",
      "telephone": "+99999999995",
      "metadataItems": [
        
      ]
    },
    {
      "contactDetailType": "IsPayment",
      "contactDetailsNickName": "",
      "addressId": null,
      "firstName": "Jane",
      "lastName": "Doe",
      "gender": "None",
      "address1": "Mohrenstraße 30",
      "address2": "",
      "address3": null,
      "city": "Berlin",
      "poBox": null,
      "postalCode": "10117",
      "region": null,
      "country": "DE",
      "email": "janedoe@test.com",
      "telephone": "+99999999995",
      "metadataItems": [
        
      ]
    }
  ]
}
```

{% endcode %}

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/checkout-api/resources/order-confirmation-webhook/order-confirmation-sample-integrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
